Subject: Re: bug#20256: 25.0.50; css-mode: filling multi-line comments

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Apr 2015 18:46:16 -0400

> No, I don't think so. When the comment-end marker is \n,
> `forward-comment' will leave point at the beginning of the next line,
> causing the whole filling code to be skipped. Even when tweaking the
> predicate so that the code is run anyway, it doesn't fill the comment
> properly. Was it ever intended to do so? I assumed from the comment
> that you quoted that it wasn't.

> Those kinds of comments seem to be handled well by the default
> `fill-paragraph', though.

Oh, indeed, fill-paragraph-handle-comment should take care of those.

        Stefan